using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;
using Xamarin.Forms;

namespace TurnaApp.Converter
{
    public class CustomConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Syncfusion.ListView.XForms.SwipeEndedEventArgs)
            {
                SwipeEndedExtArgs eventArg = new SwipeEndedExtArgs();
                var swipeEndedEventArgs = value as SwipeEndedEventArgs;
                eventArg.ListView = parameter as SfListView;
                return eventArg;
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class SwipeEndedExtArgs : SwipeEndedEventArgs
    {
        public SfListView ListView { get; set; }
    }
}
